package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaWdkMarketingExpirePromotionCreateRequest struct {
	/*
	   创建短保优惠     */
	Param0 *domain.AlibabaWdkMarketingExpirePromotionCreateExpirePromotionBo `json:"param0" required:"true" `
}

func (s *AlibabaWdkMarketingExpirePromotionCreateRequest) SetParam0(v domain.AlibabaWdkMarketingExpirePromotionCreateExpirePromotionBo) *AlibabaWdkMarketingExpirePromotionCreateRequest {
	s.Param0 = &v
	return s
}

func (req *AlibabaWdkMarketingExpirePromotionCreateRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param0 != nil {
		paramMap["param0"] = util.ConvertStruct(*req.Param0)
	}
	return paramMap
}

func (req *AlibabaWdkMarketingExpirePromotionCreateRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
